Splash sayfalar

GET https://tistos.com/api/splash-pages/
curl --request GET \
--url 'https://tistos.com/api/splash-pages/' \
--header 'Authorization: Bearer {api_key}' \
Parametreler Ayrıntılar Açıklama
search Opsiyonel Dize Arama dizesi.
search_by Opsiyonel Dize Hangi alanda arama yapıyorsunuz. İzin verilen değerler: name.
datetime_field Opsiyonel Dize İzin verilen değerler: datetime, last_datetime
datetime_start Opsiyonel Dize Sonuçları bu tarih ve saatten itibaren filtreleyin. Format Y-m-d H:i:s.
datetime_end Opsiyonel Dize Sonuçları bu tarih ve saate kadar filtreleyin. Format Y-m-d H:i:s.
order_by Opsiyonel Dize Sonuçları hangi alana göre sıralamak istersiniz. İzin verilen değerler: splash_page_id, datetime, last_datetime, name.
order_type Opsiyonel Dize Sonuçların sıralanması. İzin verilen değerler: ASC artan sıralama için ve DESC azalan sıralama için.
page Opsiyonel Tam sayı Sonuç almak istediğiniz sayfa numarası. Varsayılan 1'dir.
results_per_page Opsiyonel Tam sayı Sayfa başına kaç sonuç istediğiniz. İzin verilen değerler: 10, 25, 50, 100, 250, 500, 1000. Varsayılan olarak 25.
{
    "data": [
        {
            "id": 1,
            "name": "Development",
            "color": "#0e23cc",
            "last_datetime": null,
            "datetime": "2026-07-18 11:36:50",
        },
    ],
    "meta": {
        "page": 1,
        "results_per_page": 25,
        "total": 1,
        "total_pages": 1
    },
    "links": {
        "first": "https://tistos.com/api/projects?page=1",
        "last": "https://tistos.com/api/projects?page=1",
        "next": null,
        "prev": null,
        "self": "https://tistos.com/api/projects?page=1"
    }
}
GET https://tistos.com/api/splash-pages/{splash_page_id}
curl --request GET \
--url 'https://tistos.com/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": {
        "id": 1,
        "name": "Development",
        "color": "#0e23cc",
        "last_datetime": null,
        "datetime": "2026-07-18 11:36:50",
    }
}
POST https://tistos.com/api/projects
Parametreler Ayrıntılar Açıklama
name Gerekli Dize -
title Opsiyonel Dize -
logo Opsiyonel Dosya -
favicon Opsiyonel Dosya -
opengraph Opsiyonel Dosya -
description Opsiyonel Dize -
secondary_button_name Opsiyonel Dize -
secondary_button_url Opsiyonel Dize -
custom_css Opsiyonel Dize -
custom_js Opsiyonel Dize -
ads_header Opsiyonel Dize -
ads_footer Opsiyonel Dize -
link_unlock_seconds Opsiyonel Tam sayı -
auto_redirect Opsiyonel Boolean -
curl --request POST \
--url 'https://tistos.com/api/projects' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Sample splash page' \
--form 'title=Custom splash page title' \
--form 'description=Custom splash page description' \
{
    "data": {
        "id": 1
    }
}
POST https://tistos.com/api/splash-pages/{splash_page_id}
Parametreler Ayrıntılar Açıklama
name Opsiyonel Dize -
title Opsiyonel Dize -
logo Opsiyonel Dosya -
favicon Opsiyonel Dosya -
opengraph Opsiyonel Dosya -
description Opsiyonel Dize -
secondary_button_name Opsiyonel Dize -
secondary_button_url Opsiyonel Dize -
custom_css Opsiyonel Dize -
custom_js Opsiyonel Dize -
ads_header Opsiyonel Dize -
ads_footer Opsiyonel Dize -
link_unlock_seconds Opsiyonel Tam sayı -
auto_redirect Opsiyonel Boolean -
curl --request POST \
--url 'https://tistos.com/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Sample splash page' \
--form 'title=Custom splash page title' \
--form 'description=Custom splash page description' \
{
    "data": {
        "id": 1
    }
}
DELETE https://tistos.com/api/splash-pages/{splash_page_id}
curl --request DELETE \
--url 'https://tistos.com/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \